<?xml version="1.0"?>
<!--
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */
-->

<include xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_Config:etc/system_include.xsd">
    <group id="description" translate="label comment" sortOrder="40" showInDefault="1" showInWebsite="0" showInStore="0">
        <label>Set default product description length</label>
        <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Form\FieldsetLength</frontend_model>
        <comment>Indicate your target length by setting a minimum and maximum word count for your descriptions. WriteText.ai will aim to generate text within the number you have set, but it may give you more words than expected from time to time. Note that your credit cost will depend on the target length you set so make sure to set a reasonable target range.</comment>
        <field id="min" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Min</label>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\MinMax</frontend_model>
            <validate>wtai-numeric</validate>
        </field>
        <field id="max" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Max</label>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\MinMax</frontend_model>
            <validate>wtai-numeric</validate>
        </field>
    </group>
    <group id="excerpt" translate="label comment" sortOrder="50" showInDefault="1" showInWebsite="0" showInStore="0">
        <label>Set default product short description length</label>
        <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Form\FieldsetLength</frontend_model>
        <comment>Indicate your target length by setting a minimum and maximum word count for your short descriptions. WriteText.ai will aim to generate text within the number you have set, but it may give you more words than expected from time to time. Note that your credit cost will depend on the target length you set so make sure to set a reasonable target range.</comment>
        <field id="min" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Min</label>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\MinMax</frontend_model>
            <validate>wtai-numeric</validate>
        </field>
        <field id="max" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Max</label>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\MinMax</frontend_model>
            <validate>wtai-numeric</validate>
        </field>
    </group>
    <group id="category_description" translate="label comment" sortOrder="60" showInDefault="1" showInWebsite="0" showInStore="0">
        <label>Set default category description length</label>
        <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Form\FieldsetLength</frontend_model>
        <comment>Indicate your target length by setting a minimum and maximum word count for your category descriptions. WriteText.ai will aim to generate text within the number you have set, but it may give you more words than expected from time to time. Note that your credit cost will depend on the target length you set so make sure to set a reasonable target range.</comment>
        <field id="min" translate="label" type="text" sortOrder="10" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Min</label>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\MinMax</frontend_model>
            <validate>wtai-numeric</validate>
        </field>
        <field id="max" translate="label" type="text" sortOrder="20" showInDefault="1" showInWebsite="0" showInStore="0">
            <label>Max</label>
            <frontend_model>WriteTextAI\WriteTextAI\Block\Adminhtml\System\Config\Field\MinMax</frontend_model>
            <validate>wtai-numeric</validate>
        </field>
    </group>
</include>
    